<?php
class ControllerModuleAnystoreModal extends Controller {
	public function index($setting) {
		$this->document->addStyle('catalog/view/theme/default/stylesheet/anystore.modal.css');
		function translit($str) {
			$rus = array('А', 'Б', 'В', 'Г', 'Д', 'Е', 'Ё', 'Ж', 'З', 'И', 'Й', 'К', 'Л', 'М', 'Н', 'О', 'П', 'Р', 'С', 'Т', 'У', 'Ф', 'Х', 'Ц', 'Ч', 'Ш', 'Щ', 'Ъ', 'Ы', 'Ь', 'Э', 'Ю', 'Я', 'а', 'б', 'в', 'г', 'д', 'е', 'ё', 'ж', 'з', 'и', 'й', 'к', 'л', 'м', 'н', 'о', 'п', 'р', 'с', 'т', 'у', 'ф', 'х', 'ц', 'ч', 'ш', 'щ', 'ъ', 'ы', 'ь', 'э', 'ю', 'я');
			$lat = array('a', 'b', 'v', 'g', 'd', 'e', 'e', 'gh', 'z', 'i', 'y', 'k', 'l', 'm', 'n', 'o', 'p', 'r', 's', 't', 'u', 'f', 'h', 'c', 'ch', 'sh', 'sch', 'y', 'y', 'y', 'e', 'yu', 'ya', 'a', 'b', 'v', 'g', 'd', 'e', 'e', 'gh', 'z', 'i', 'y', 'k', 'l', 'm', 'n', 'o', 'p', 'r', 's', 't', 'u', 'f', 'h', 'c', 'ch', 'sh', 'sch', 'y', 'y', 'y', 'e', 'yu', 'ya');
			return str_replace($rus, $lat, $str);
		}
		
		if (isset($setting['module_description'][$this->config->get('config_language_id')])) {
			$data['heading_title'] = html_entity_decode($setting['module_description'][$this->config->get('config_language_id')]['title'], ENT_QUOTES, 'UTF-8');
			$data['anystore_modal'] = html_entity_decode($setting['module_description'][$this->config->get('config_language_id')]['description'], ENT_QUOTES, 'UTF-8');
			$data['name'] = strip_tags(translit(preg_replace('/\s/', '', $setting['name'])));
			$data['anystore_notice'] = strip_tags(preg_replace('/\s/', '', $data['anystore_modal']));
		
		if ($data['anystore_modal'] == '<p><br></p>') { $data['anystore_modal'] = '';}
			
		if (isset($this->request->get['route'])) {
			$data['class'] = str_replace('/', '-', $this->request->get['route']);
		} else {
			$data['class'] = 'common-home';
		}
		
			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/anystore_modal.tpl')) {
				return $this->load->view($this->config->get('config_template') . '/template/module/anystore_modal.tpl', $data);
			} else {
				return $this->load->view('default/template/module/anystore_modal.tpl', $data);
			}
		}
	}
}